# skbio.sequence.Protein.has_gaps

`Protein.``has_gaps`()

  Determine if the sequence contains one or more gap characters.

  State: Stable as of 0.4.0.

  Returns:

  bool

  > Indicates whether there are one or more occurrences of gap characters in the biological sequence.

  Examples

      >>> from skbio import DNA
      >>> s = DNA('ACACGACGTT')
      >>> s.has_gaps()
      False
      >>> t = DNA('A.CAC--GACGTT')
      >>> t.has_gaps()
      True